| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
fast_square_root.hpp File Reference

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType | fastDistance (genType x, genType y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | fastDistance (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename genType >
GLM_FUNC_DECL genType | fastInverseSqrt (genType x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastInverseSqrt (vecType< T, P > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastLength (genType x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | fastLength (vecType< T, P > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastNormalize (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastSqrt (genType x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastSqrt (vecType< T, P > const &x)

## Detailed Description

GLM_GTX_fast_square_root

See also
  GLM Core (dependence)

Definition in file fast_square_root.hpp.